---

inputType: "CA10G1__CaGoogleGkeClusterNodePool__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10G1__CaGoogleGkeClusterNodePool__c/object.extracts.yaml"
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "Node Pool auto repair feature is disabled."
    remediationMessage: "Enable auto repair feature for the Cluster."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10G1__nodeManagementAutoRepair__c"
        right:
          TEXT: "Enabled"
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "Cluster's auto repair feature is enabled."
